Download it now!
Bug 53431 - FILTER: fill down a cell with Autofilter arrow box cause duplication of arrow box
Summary: FILTER: fill down a cell with Autofilter arrow box cause duplication of arrow...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: medium minor
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: AutoFilter AutoFill
  Show dependency treegraph
 
Reported: 2012-08-13 08:45 UTC by joe
Modified: 2020-10-07 12:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (37.05 KB, image/jpeg)
2012-08-13 08:45 UTC, joe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2012-08-13 08:45:22 UTC
Created attachment 65491 [details]
screenshot

If a column with autofilter (e.g. arrow box on A1), if I select A1 to A7 cell, then enter Ctrl+D (Edit->Fill->Down), the arrow box will appear in all filled cell
Comment 1 Sören 2012-12-26 20:30:27 UTC
I can confirm the problem in
Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0)
on Ubuntu 12.04 (x86)
Comment 2 A (Andy) 2014-10-18 19:19:35 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)
Comment 3 QA Administrators 2015-12-20 16:05:54 UTC Comment hidden (obsolete)
Comment 4 Kevin Suo 2016-10-26 08:41:58 UTC
Still reproducible with
Version: 5.3.0.0.alpha1
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
Locale: zh-CN (zh_CN.UTF-8); Calc: group
Comment 5 QA Administrators 2017-10-27 08:49:35 UTC Comment hidden (obsolete)
Comment 6 b. 2020-05-19 12:55:56 UTC
funny!! 

still like this with ver. 7.0.0.0.a1+, 

and!!! ... the additional dropdown buttons are functional ... 

Version: 7.0.0.0.alpha1 (x64)
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI: en-US
Calc: threaded
Comment 7 Commit Notification 2020-09-10 12:41:46 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/789abce00bbb1139eb4005f78b82478a17342048

tdf#53431 tdf#136535 sc: fix Fill Cells with Autofilter

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Roman Kuznetsov 2020-10-07 12:48:45 UTC
verified in

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 7f16cabf00daa30e9284d2fb2494bd341352c25e
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded